Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Help, it wont install(After installing the proper java and jdk 64 bit as well as eclipse 64 bit, it still wont install)
Help, it wont install [message #1809230] Fri, 12 July 2019 07:38 Go to next message
Jacob Ullom is currently offline Jacob UllomFriend
Messages: 1
Registered: July 2019
Junior Member
(I hope this is the right area to post and ask) I have a 64-bit system and OS, and so I've downloaded everything as 64-bit. When I go through the usual installation process and agree to all the license the green bar just about fills then I get an error and this log.

Quote:
[2019-07-12 02:25:43] Executing bootstrap tasks
[2019-07-12 02:25:43] Java(TM) SE Runtime Environment 1.8.0_211-b12
[2019-07-12 02:25:43] Product org.eclipse.products.epp.package.java.2019-06
[2019-07-12 02:25:43] Bundle org.eclipse.oomph.setup 1.13.0.v20190530-1228, build=4030, branch=ed8d2fdcc99c1d3461399fc1bee02645433fa697
[2019-07-12 02:25:43] Bundle org.eclipse.oomph.setup.core 1.13.0.v20190531-1228, build=4030, branch=ed8d2fdcc99c1d3461399fc1bee02645433fa697
[2019-07-12 02:25:43] Bundle org.eclipse.oomph.setup.p2 1.11.0.v20190530-1228, build=4030, branch=ed8d2fdcc99c1d3461399fc1bee02645433fa697
[2019-07-12 02:25:43] Performing P2 Director (Eclipse IDE for Java Developers (2019-06))
[2019-07-12 02:25:43] Offline = false
[2019-07-12 02:25:43] Mirrors = true
[2019-07-12 02:25:43] Resolving 23 requirements from 3 repositories to C:\Users\nerda\eclipse\java-2019-06\eclipse
[2019-07-12 02:25:43] Requirement epp.package.java [4.12.0,5.0.0)
[2019-07-12 02:25:43] Requirement org.eclipse.platform.feature.group [4.12.0,5.0.0)
[2019-07-12 02:25:43] Requirement org.eclipse.rcp.feature.group [4.12.0,5.0.0)
[2019-07-12 02:25:43] Requirement org.eclipse.buildship.feature.group
[2019-07-12 02:25:43] Requirement org.eclipse.eclemma.feature.feature.group
[2019-07-12 02:25:43] Requirement org.eclipse.egit.feature.group
[2019-07-12 02:25:43] Requirement org.eclipse.egit.mylyn.feature.group
[2019-07-12 02:25:43] Requirement org.eclipse.epp.mpc.feature.group
[2019-07-12 02:25:43] Requirement org.eclipse.jdt.feature.group
[2019-07-12 02:25:43] Requirement org.eclipse.jgit.feature.group
[2019-07-12 02:25:43] Requirement org.eclipse.m2e.feature.feature.group
[2019-07-12 02:25:43] Requirement org.eclipse.m2e.logback.feature.feature.group
[2019-07-12 02:25:43] Requirement org.eclipse.mylyn.bugzilla_feature.feature.group
[2019-07-12 02:25:43] Requirement org.eclipse.mylyn.context_feature.feature.group
[2019-07-12 02:25:43] Requirement org.eclipse.mylyn.git.feature.group
[2019-07-12 02:25:43] Requirement org.eclipse.mylyn.hudson.feature.group
[2019-07-12 02:25:43] Requirement org.eclipse.mylyn.ide_feature.feature.group
[2019-07-12 02:25:43] Requirement org.eclipse.mylyn.java_feature.feature.group
[2019-07-12 02:25:43] Requirement org.eclipse.mylyn.wikitext_feature.feature.group
[2019-07-12 02:25:43] Requirement org.eclipse.mylyn_feature.feature.group
[2019-07-12 02:25:43] Requirement org.eclipse.tips.feature.feature.group
[2019-07-12 02:25:43] Requirement org.eclipse.wst.xml_ui.feature.feature.group
[2019-07-12 02:25:43] Requirement org.eclipse.oomph.setup.feature.group
[2019-07-12 02:25:43] Repository http://download.eclipse.org/technology/epp/packages/2019-06
[2019-07-12 02:25:43] Repository http://download.eclipse.org/releases/2019-06/201906191000
[2019-07-12 02:25:43] Repository http://download.eclipse.org/oomph/updates/milestone/latest
[2019-07-12 02:25:47] Calculating requirements and dependencies.
[2019-07-12 02:25:48] Computing prerequisite plan
[2019-07-12 02:25:54] Fetching artifacts.xml.xz from http://download.eclipse.org/releases/2019-06/201906191000/
[2019-07-12 02:25:57] Fetching compositeArtifacts.jar from http://download.eclipse.org/oomph/updates/milestone/latest/ (445B)
[2019-07-12 02:25:59] Fetching artifacts.jar from http://download.eclipse.org/oomph/drops/milestone/S20190531-082923-1.13.0-M4/ (8.93kB)
[2019-07-12 02:25:59] Fetching artifacts.xml.xz from http://download.eclipse.org/technology/epp/packages/2019-06/
[2019-07-12 02:25:59] Collecting 3 artifacts from http://download.eclipse.org/releases/2019-06/201906191000
[2019-07-12 02:25:59] Downloading org.eclipse.platform.ide.executable.win32.win32.x86_64
[2019-07-12 02:25:59] Downloading org.eclipse.rcp_root
[2019-07-12 02:25:59] Downloading org.eclipse.platform_root
[2019-07-12 02:25:59] Collected 3 artifacts for http://download.eclipse.org/releases/2019-06/201906191000 in 0.308s
[2019-07-12 02:25:59] Collecting 1 artifacts from http://download.eclipse.org/technology/epp/packages/2019-06
[2019-07-12 02:25:59] Downloading epp.package.java.executable.win32.win32.x86_64
[2019-07-12 02:25:59] Collected 1 artifacts for http://download.eclipse.org/technology/epp/packages/2019-06 in 0.2s
[2019-07-12 02:26:00] An error was detected while performing the engine operation and the changes are being rolled back. See the log for details.
[2019-07-12 02:26:00] ERROR: org.eclipse.equinox.p2.engine code=4 An error occurred during the org.eclipse.equinox.internal.p2.engine.phases.CheckTrust phase.
at org.eclipse.oomph.util.OomphPlugin.coreException(OomphPlugin.java:280)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:548)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:340)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:751)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3824)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3752)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3733)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3626)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1298)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$32(SimpleVariablePage.java:1166)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage$20.run(SimpleVariablePage.java:1111)
ERROR: org.eclipse.equinox.p2.engine code=0 session context was:(profile=C__Users_nerda_eclipse_java-2019-06_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.CheckTrust, operand=, action=).
ERROR: org.eclipse.equinox.p2.engine code=0 Error reading signed content.
java.io.IOException: Exception in opening zip file: C:\Users\nerda\.p2\pool\plugins\org.eclipse.core.externaltools_1.1.300.v20190510-0549.jar
at org.eclipse.osgi.framework.util.SecureAction.getZipFile(SecureAction.java:340)
at org.eclipse.osgi.internal.signedcontent.SignedBundleHook.getSignedContent(SignedBundleHook.java:216)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.checkCertificates(CertificateChecker.java:77)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.start(CertificateChecker.java:58)
at org.eclipse.equinox.internal.p2.engine.phases.CheckTrust.completePhase(CheckTrust.java:55)
at org.eclipse.equinox.internal.p2.engine.Phase.postPerform(Phase.java:255)
at org.eclipse.equinox.internal.p2.engine.Phase.perform(Phase.java:105)
at org.eclipse.equinox.internal.p2.engine.PhaseSet.perform(PhaseSet.java:50)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:80)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:48)
at org.eclipse.equinox.internal.provisional.p2.director.PlanExecutionHelper.executePlan(PlanExecutionHelper.java:45)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:544)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:340)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:751)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3824)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3752)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3733)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3626)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1298)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$32(SimpleVariablePage.java:1166)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage$20.run(SimpleVariablePage.java:1111)
Caused by: java.io.FileNotFoundException: C:\Users\nerda\.p2\pool\plugins\org.eclipse.core.externaltools_1.1.300.v20190510-0549.jar (The system cannot find the file specified)
at java.util.zip.ZipFile.open(Native Method)
at java.util.zip.ZipFile.<init>(Unknown Source)
at java.util.zip.ZipFile.<init>(Unknown Source)
at java.util.zip.ZipFile.<init>(Unknown Source)
at org.eclipse.osgi.framework.util.SecureAction.getZipFile(SecureAction.java:322)
at org.eclipse.osgi.internal.signedcontent.SignedBundleHook.getSignedContent(SignedBundleHook.java:216)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.checkCertificates(CertificateChecker.java:77)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.start(CertificateChecker.java:58)
at org.eclipse.equinox.internal.p2.engine.phases.CheckTrust.completePhase(CheckTrust.java:55)
at org.eclipse.equinox.internal.p2.engine.Phase.postPerform(Phase.java:255)
at org.eclipse.equinox.internal.p2.engine.Phase.perform(Phase.java:105)
at org.eclipse.equinox.internal.p2.engine.PhaseSet.perform(PhaseSet.java:50)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:80)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:48)
at org.eclipse.equinox.internal.provisional.p2.director.PlanExecutionHelper.executePlan(PlanExecutionHelper.java:45)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:544)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:340)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:751)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3824)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3752)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3733)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3626)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1298)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$32(SimpleVariablePage.java:1166)
... 1 more

[2019-07-12 02:26:00]


please help, it's 2:00 am and I'm too tired to work on this more, ill try again tomorrow but wanted yall's help.
Re: Help, it wont install [message #1809322 is a reply to message #1809230] Sat, 13 July 2019 06:12 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 30441
Registered: July 2009
Senior Member
Does C:\Users\nerda\.p2\pool\plugins\org.eclipse.core.externaltools_1.1.300.v20190510-0549.jar actually exist? If you run the installer again, does it fail the same way?
Previous Topic:Eclipse is not getting installed
Next Topic:Aggregation Not Displaying
Goto Forum:
  


Current Time: Mon Sep 16 10:10:30 GMT 2019

Powered by FUDForum. Page generated in 0.03332 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top